Bug 595478 - NFS client upstream bug fixes
Summary: NFS client upstream bug fixes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: 6.0
Assignee: Steve Dickson
QA Contact: yanfu,wang
URL:
Whiteboard:
: 586744 591053 598520 (view as bug list)
Depends On:
Blocks: 425967 534150 554559
TreeView+ depends on / blocked
 
Reported: 2010-05-24 18:29 UTC by Steve Dickson
Modified: 2010-11-11 16:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 16:18:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steve Dickson 2010-05-24 18:29:19 UTC
Description of problem:
This bz is a place holder is used to introduce upstream 
NFS client bug fixes needed to maintain stability in the
RHEL6 kernel.

Comment 2 RHEL Program Management 2010-05-24 18:46:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jeff Layton 2010-05-25 16:20:27 UTC
*** Bug 586744 has been marked as a duplicate of this bug. ***

Comment 4 Jeff Layton 2010-05-25 16:21:43 UTC
*** Bug 591053 has been marked as a duplicate of this bug. ***

Comment 6 Aristeu Rozanski 2010-05-28 20:38:58 UTC
Patch(es) available on kernel-2.6.32-31.el6

Comment 12 Aristeu Rozanski 2010-06-03 19:57:53 UTC
Patch(es) available on kernel-2.6.32-32.el6

Comment 14 Jeff Layton 2010-06-03 23:55:50 UTC
*** Bug 598520 has been marked as a duplicate of this bug. ***

Comment 16 Boris Ranto 2010-06-17 08:31:16 UTC
The bug(586744) that was states as a duplicate of this bug is repaired in kernel-2.6.32-33.el6.

Comment 17 yanfu,wang 2010-08-23 10:07:30 UTC
verified on kernel-2.6.32-63.el6.src.rpm:
nfs-prevent-backlogging-of-renewd-requests.patch
nfs-rpc-client-can-not-deal-with-ENOSOCK-so-translate-it-into-ENOCONN.patch
nfs-fix-unlikely-memory-leak.patch
nfs-ensure-bdi_unregister-is-called-on-mount-failure.patch
nfs-nfs41-renewd-sequence-operations-should-take-put-client-reference.patch
nfs-SUNRPC-Fix-a-use-after-free-bug-with-the-NFSv4-1-backchannel.patch
nfs-SUNRPC-Fix-the-return-value-of-rpc_run_bc_task.patch
nfs-NFSv4-Fall-back-to-ordinary-lookup-if-nfs4_atomic_open-returns-EISDIR.patch
nfs-Fix-the-mode-calculation-in-nfs_find_open_context.patch
nfs-Fix-a-race-with-the-new-commit-code.patch
nfs-Ensure-that-the-WRITE-and-COMMIT-RPC-calls-are-always-uninterruptible.patch
nfs-NFSv4-fix-delegated-locking.patch
nfs-Reduce-the-stack-footprint-of-nfs_follow_remote_path.patch
nfs-Reduce-the-stack-footprint-of-nfs_follow_mountpoint.patch
nfs-Reduce-stack-footprint-of-nfs_readdir.patch
nfs-NFSv4-Reduce-stack-footprint-of-nfs4_proc_access-and-nfs3_proc_access.patch
nfs-Reduce-stack-footprint-of-nfs3_proc_readlink.patch
nfs-NFSv4-Eliminate-nfs4_path_walk.patch
nfs-NFSv4-Fix-up-the-documentation-for-nfs_do_refmount.patch
nfs-NFSv4-Clean-up-the-NFSv4-setclientid-operation.patch
nfs-Reduce-stack-footprint-of-nfs_proc_remove.patch
nfs-Add-helper-functions-for-allocating-filehandles-and-fattr-structs.patch
nfs-Reduce-the-stack-footprint-of-nfs_rmdir.patch
nfs-Reduce-the-stack-footprint-of-nfs_create_server.patch
nfs-Reduce-stack-footprint-of-nfs3_proc_getacl-and-nfs3_proc_setacl.patch
nfs-NFSv4-Reduce-the-stack-footprint-of-try_location.patch
nfs-SUNRPC-Cleanup-make-rpc_new_task-call-rpc_release_calldata-on-failure.patch
nfs-NFSv4-Reduce-stack-footprint-of-nfs4_get_root.patch
nfs-SUNRPC-Move-the-test-for-XPRT_CONNECTING-into-xprt_connect.patch
nfs-NFSv4-Reduce-the-stack-footprint-of-nfs4_remote_referral_get_sb.patch
kernel-ktime-introduce-ktime_to_ms.patch
nfs-Reduce-stack-footprint-of-nfs3_proc_rename-and-nfs4_proc_rename.patch
nfs-SUNRPC-Move-the-task-tk_bytes_sent-and-tk_rtt-to-struct-rpc_rqst.patch
nfs-Reduce-the-stack-footprint-of-nfs_proc_create.patch
nfs-Reduce-stack-footprint-of-nfs_setattr.patch
nfs-Reduce-the-stack-footprint-of-nfs_proc_symlink.patch
nfs-Reduce-stack-footprint-of-nfs_statfs.patch
nfs-SUNRPC-Fail-over-more-quickly-on-connect-errors.patch
nfs-SUNRPC-RPC-metrics-and-RTT-estimator-should-use-same-RTT-value.patch
nfs-Don-t-run-nfs_access_cache_shrinker-when-the-mask-is-GFP_NOFS.patch
nfs-nfs4-renewd-renew-operations-should-take-put-a-client-reference.patch
nfs-Reduce-stack-footprint-of-nfs_revalidate_inode.patch
nfs-Calldata-for-nfs4_renew_done.patch
nfs-Read-requests-can-use-GFP_KERNEL.patch
nfs-Reduce-the-stack-footprint-of-nfs_link.patch
nfs-Squelch-compiler-warning-in-nfs_add_server_stats.patch
nfs-SUNRPC-Replace-jiffies-based-metrics-with-ktime-based-metrics.patch
nfs-SUNRPC-Ensure-rpcauth_prune_expired-respects-the-nr_to_scan-parameter.patch
nfs-Squelch-compiler-warning.patch
nfs-Don-t-use-GFP_KERNEL-in-rpcsec_gss-downcalls.patch
nfs-SUNRPC-Clean-up-xprt_release.patch
nfs-NFSv4-Don-t-use-GFP_KERNEL-allocations-in-state-recovery.patch
nfs-SUNRPC-Fix-xs_setup_bc_tcp.patch
nfs-SUNRPC-Dont-run-rpcauth_cache_shrinker-when-gfp_mask-is-GFP_NOFS.patch
nfs-Clean-up-nfs_create_request.patch
nfs-SUNRPC-Remove-the-tk_magic-debugging-field.patch
nfs-Don-t-call-iput-in-nfs_access_cache_shrinker.patch
nfs-SUNRPC-Reorder-the-struct-rpc_task-fields.patch
nfs-Reduce-stack-footprint-of-nfs4_proc_create.patch
nfs-SUNRPC-Don-t-spam-gssd-with-upcall-requests-when-the-kerberos-key-expired.patch
nfs-SUNRPC-Ensure-memory-shrinker-doesn-t-waste-time-in-rpcauth_prune_expired.patch
nfs-NFSv4-Allow-attribute-caching-with-noac-mounts-if-client-holds-a-delegation.patch
nfs-Reduce-the-stack-footprint-of-nfs_lookup.patch
nfs-Cleanup-file-handle-allocations-in-fs-nfs-super-c.patch
nfs-Clean-up-nfs_access_zap_cache.patch
nfs-SUNRPC-Trivial-cleanups-in-include-linux-sunrpc-xdr-h.patch
nfs-Replace-nfsroot-on-stack-filehandle.patch
nfs-Prevent-the-mount-code-from-looping-forever-on-broken-exports.patch
nfs-Clean-up-fscache_uniq-mount-option.patch
nfs-fix-memory-leak-in-nfs_get_sb-with-CONFIG_NFS_V4.patch
nfs-SUNRPC-Fix-a-bug-in-rpcauth_prune_expired.patch
nfs-Ensure-that-nfs_wb_page-waits-for-Pg_writeback-to-clear.patch
nfs-fix-some-issues-in-nfs41_proc_reclaim_complete.patch
nfs-NFSv4-Don-t-attempt-an-atomic-open-if-the-file-is-a-mountpoint.patch
nfs-testing-for-null-instead-of-ERR_PTR.patch
nfs-Fix-an-unstable-write-data-integrity-race.patch
nfs-NFSv4-Fix-the-locking-in-nfs_inode_reclaim_delegation.patch
nfs-sunrpc-fix-leak-on-error-on-socket-xprt-setup.patch
nfs-Ensure-that-we-mark-the-inode-as-dirty-if-we-exit-early-from-commit.patch
nfs-Fix-another-nfs_wb_page-deadlock.patch
nfs-Fix-a-lock-imbalance-typo-in-nfs_access_cache_shrinker.patch
nfs-sunrpc-fix-leak-on-error-on-socket-xprt-setup.patch
nfs-Fix-a-lock-imbalance-typo-in-nfs_access_cache_shrinker.patch
nfs-NFSv4-Fix-the-locking-in-nfs_inode_reclaim_delegation.patch

Comment 18 releng-rhel@redhat.com 2010-11-11 16:18:27 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.